Package Gnumed :: Package timelinelib :: Package general :: Module immutable :: Class ImmutableRecordMeta |
[frames] | no frames]

# Type ImmutableRecordMeta

source code

    object --+
             |
          type --+
                 |
                ImmutableRecordMeta

Instance Methods
Inherited from `type`: `__call__`, `__delattr__`, `__eq__`, `__ge__`, `__getattribute__`, `__gt__`, `__hash__`, `__init__`, `__instancecheck__`, `__le__`, `__lt__`, `__ne__`, `__repr__`, `__setattr__`, `__subclasscheck__`, `__subclasses__`, `mro` Inherited from `object`: `__format__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
a new object with type S, a subtype of T |
__new__(cls, name, bases, attrs) | source code

Properties
Inherited from `type`: `__abstractmethods__`, `__base__`, `__bases__`, `__basicsize__`, `__dictoffset__`, `__flags__`, `__itemsize__`, `__mro__`, `__name__`, `__weakrefoffset__` Inherited from `object`: `__class__`

Method Details

### __new__(cls, name, bases, attrs) Static Method | source code
Returns: a new object with type S, a subtype of T Overrides: object.__new__ (inherited documentation)